Bug 95594 - Double Click on expert config should maximize the window
Summary: Double Click on expert config should maximize the window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low trivial
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 09:56 UTC by Dennis Roczek
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2015-11-05 09:56:08 UTC
Go to preferences --> LibreOffice --> Advanced --> expert config

double click on the window title --> no result

Expected: get maximized window as always.

using
Version: 5.0.3.2
Build-ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Gebietsschema: de-DE (de_DE)
32 bit
under
Win10 Prof. 64bit
Comment 1 A (Andy) 2015-11-06 19:52:31 UTC
I am not sure if I understand it right.  You wrote that with a double click on the window title this should maximise the window?  This is not the case for any dialog box in LO and I don't know whether this should behave that way.  Therefore, I am not sure that this is a bug.
Comment 2 Adolfo Jayme 2015-11-10 13:32:46 UTC
Reasonable enhancement request, since this window is most useful maximized, usually.
Comment 3 Adolfo Jayme 2015-11-10 13:51:36 UTC
Note that this works already in Ubuntu’s Unity desktop…
Comment 4 Commit Notification 2015-11-10 14:08:53 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c3de4f43888a461802b31e7379030f1ac1b99de

tdf#95594 Remove “dialog” type hint from Expert Config window

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2015-11-10 14:10:35 UTC
Each window manager (including Windows’ DWM) is free to do whatever it pleases, so please test this change to ensure it actually behaves as you expect — I don’t have Windows right now.